RIPNGD(8)

NAME
ripngd - a RIPNG routing engine for use with Quagga routing software.

SYNOPSIS
ripngd [ -dhlrv ] [ -f config-file ] [ -i pid-file ] [ -P port-number ] [ -A vty-address ] [ -u user ] [ -g group ]

DESCRIPTION
ripngd is a routing component that works with the Quagga routing engine.

OPTIONS
Options available for the ripngd command:

OPTIONS

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/ripngd.conf.

-g, --group group
    Specify the group to run as. Default is quagga.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When ripngd starts its process identifier is written to pid-file. The init system uses the recorded PID to stop or restart ripngd. The likely default is /var/run/ripngd.pid.

-l, --log_mode
    Turn verbose logging on.

-P, --vty_port port-number
    Specify the port that the ripngd VTY will listen on. This defaults to 2603, as specified in /etc/services.

-A, --vty_addr vty-address
    Specify the address that the ripngd VTY will listen on. Default is all interfaces.

-u, --user user
    Specify the user to run as. Default is quagga.

-r, --retain
    When the program terminates, retain routes added by ripd.

-v, --version
    Print the version and exit.

FILES

/usr/local/sbin/ripngd
    The default location of the ripngd binary.

/usr/local/etc/ripngd.conf
    The default location of the ripngd config file.

$(PWD)/ripngd.log
    If the ripngd process is config'd to output logs to a file, then you will find this file in the directory where you started ripngd.

WARNING
This man page is intended to be a quick reference for command line options. The definitive document is the Info file Quagga.

DIAGNOSTICS
The ripngd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. ripngd supports many debugging options, see the Info file, or the source for details.

SEE ALSO
bgpd(8), ripd(8), ospfd(8), ospf6d(8), isisd(8), zebra(8), vtysh(1)

BUGS
ripngd eats bugs for breakfast. If you have food for the maintainers try http://bugzilla.quagga.net

AUTHORS
See http://www.zebra.org and http://www.quagga.org or the Info file for an accurate list of authors.